{
  "gopls": {
      "formatting.local": "git.maze.io",
      "ui.semanticTokens": true
  },

  // Global defaults for all other languages (4 spaces)
  "editor.tabSize": 4,
  "editor.insertSpaces": true,
  "editor.detectIndentation": false,

  // Go: Use tabs, with a tab size of 4
  "[go]": {
    "editor.insertSpaces": false,
    "editor.tabSize": 4,
    "editor.detectIndentation": false
  },

  // CSS, JavaScript, TypeScript, JSON: Use 2 spaces
  "[css]": {
    "editor.tabSize": 2,
  },
  "[sass]": {
    "editor.tabSize": 2,
  },
  "[scss]": {
    "editor.tabSize": 2,
  },
  "[javascript]": {
    "editor.tabSize": 2,
  },
  "[typescript]": {
    "editor.tabSize": 2,
  },
  "[typescriptreact]": {
    "editor.tabSize": 2,
  },
  "[json]": {
    "editor.tabSize": 2,
  },
  "[yaml]": {
    "editor.tabSize": 2,
  },

  // For JSON with comments, often used in VSCode config files
  "[jsonc]": {
    "editor.insertSpaces": true,
    "editor.tabSize": 2,
    "editor.detectIndentation": false
  }
}
